Bug 1023530 - (Radeon_crash_on_suspend) radeon driver modules crash on HP Pavilion G6-2302AX when suspended
radeon driver modules crash on HP Pavilion G6-2302AX when suspended
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 12:01 EDT by Nikhil John
Modified: 2015-02-17 12:48 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:48:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 849347 None None None Never

  None (edit)
Description Nikhil John 2013-10-25 12:01:31 EDT
Description of problem:
(Bug 1) When Fedora 19 is installed in HP Pavilion G6-2302AX, there is a graphics bug whole time(since installation) till i removed the default radeon driver and installed Proprietary ATI Radeon Graphics Driver(fglrx). The bug was like irregular drawing of the view port and random intervals and random parts of screen.

(Bug 2) But the main bug was found when I suspend the lap. When i try to resume it, the screen was blank and no keys were working. The was a case even after installing the original Proprietary ATI Radeon Driver for the ATI Radeon HD 7640 card & AMD A4 Processor. Although it solved the screen rendering bug, but the suspending bug exist. As I diagnosed the issue, it was the graphics module that was crashing when suspending. Both radeon(Default) module and fglrx(Proprietary) module are affected with same bug. After applying some commons fixes found in fedora bugs and some forums, i was able to get response from CAPSLOCK key when try to resume. But the screen was still blank.


How reproducible:
(Bug 1) Use default radeon driver on HP Pavilion G6-2302AX.
(Bug 2) Its always there

Steps to Reproduce:
(Bug 2)
1. Login to Fedora 19
2. Suspend
3. Resume

Actual results:
(Bug 1) Unusual random distortion on parts of screen
(Bug 2) Blank Screen

Expected results:
Resume fedora as normal after suspending

Additional info:

HP Pavilion G6-2302AX Spec:-
http://h10025.www1.hp.com/ewfrf/wc/document?cc=us&lc=en&docname=c03609581
Comment 1 Fedora End Of Life 2015-01-09 15:21:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:48:46 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.